gtk-sharp 2.12.0.0 GLib.Object Status Icon. A platform independent system tray icon.
- Constructor
  2.12.0.0
  Public constructor.
- Constructor
  2.12.0.0
  An Icon pixbuf.
  Public constructor.
  Creates an instance using the specified icon pixbuf.
- Constructor
  2.12.0.0
  System.Obsolete
  A native type value.
  Obsolete constructor.
  Do not use.
- Constructor
  2.12.0.0
  A native instance pointer.
  Public constructor.
  For use by language bindings to wrap native instances.
- Constructor
  2.12.0.0
  Icon file name.
  Public constructor.
  Creates an instance using the specified icon file.
- Event
  2.12.0.0
  GLib.Signal("activate")
  System.EventHandler Activate event. Raised when the user activates the status icon. This behavior is only provided on platforms that support it.
- Property
  2.12.0.0
  GLib.Property("blinking")
  System.Boolean Indicates if the Icon is Blinking. If , the icon is blinking.
- Property
  2.12.0.0
  GLib.Property("embedded")
  System.Boolean To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("file")
  System.String Display an icon from a file. A string containing the filename path.
- Property
  2.12.0.0
  System.Obsolete("use the File property instead")
  System.String Display an icon from a file. A string containing the filename path.
- Property
  2.12.0.0
  System.Obsolete("use the IconName property instead")
  System.String Display an icon from the current icon theme. An icon name from the current theme. If the IconTheme is changed, the icon is updated to the icon of the same name in the new theme.
- Property
  2.12.0.0
  System.Obsolete("use the Pixbuf property instead")
  Gdk.Pixbuf Display a Pixbuf Icon. A containing the desired icon.
- Property
  2.12.0.0
  System.Obsolete("use the Stock property instead")
  System.String Display a stock Icon. A value, or other string registered as a stock id.
- Method
  2.12.0.0
  System.Obsolete("Replaced by (out Screen, out Rectangle, out Orientation) overload")
  System.Boolean `` `` `` Do not use. Do not use. Do not use. Obsolete. Do not Use. if the operation succeeded. This method was incorrectly bound and is provided for backward compatibility. Use the overload with out Screen and out Rectangle parameters instead.
- Method
  2.12.0.0
  System.Boolean `` `` `` Returns the screen containing the status icon. Returns the bounds of the status icon. Returns the orientation of the status icon. Get the Location and Orientation of the Icon. if the operation was successful. This information can be used to place popups like notification bubbles.
- Property
  2.12.0.0
  GLib.GType Native type value. a .
- Property
  2.12.0.0
  GLib.Property("icon-name")
  System.String Display an icon from the current icon theme. An icon name from the current theme. If the IconTheme is changed, the icon is updated to the icon of the same name in the new theme.
- Property
  2.12.0.0
  System.Boolean Indicates if the icon is embedded in a notification area. if embedded.
- Method
  2.12.0.0
  Gtk.StatusIcon `` To be added. Creates a status icon with a named icon from the current theme. A .
- Method
  2.12.0.0
  Gtk.StatusIcon `` To be added. Creates a status icon with a stock icon. A .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivate", Type=typeof(Gtk.StatusIcon))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopupMenu", Type=typeof(Gtk.StatusIcon))
  System.Void `` `` Button pressed. Time button was pressed. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSizeChanged", Type=typeof(Gtk.StatusIcon))
  System.Boolean `` The new size. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("orientation")
  Gtk.Orientation To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("pixbuf")
  Gdk.Pixbuf Display a Pixbuf Icon. A containing the desired icon.
- Event
  2.12.0.0
  GLib.Signal("popup_menu")
  Gtk.PopupMenuHandler PopupMenu event. Raised when the user brings up the context menu.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` A menu to position. Returns the x coordinate. Returns the y coordinate. Returns if the menu must be pushed in to be completely visible. Native handle of the StatusIcon for which the menu is being placed. Menu Positioning Callback function. Used with to position context menus.
- Method
  2.12.0.0
  System.Void `` `` `` The menu to present. The button provided by . The time provided by . Positions and displays a menu. This method provides an optimized alternative to calling directly, saving a some native/managed marshaling roundtrips.
- Property
  2.12.0.0
  GLib.Property("screen")
  Gdk.Screen To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("size")
  System.Int32 Pixel size available for Icon. An integer pixel size.
- Event
  2.12.0.0
  GLib.Signal("size_changed")
  Gtk.SizeChangedHandler SizeChanged event. Raised when the icon size changes.
- Property
  2.12.0.0
  GLib.Property("stock")
  System.String Display a stock Icon. A value, or other string registered as a stock id.
- Property
  2.12.0.0
  GLib.Property("storage-type")
  Gtk.ImageType Image storage type. A .
- Property
  2.12.0.0
  System.String Sets the Tooltip. A tooltip string.
- Property
  2.12.0.0
  GLib.Property("visible")
  System.Boolean Indicates if the Icon is visible. To be added. Doesn't guarantee the icon can be seen by the user. See .